import numpy
from sklearn import linear_model

#Reshaped for Logistic function.
#X represents the size of a tumor in centimeters.
X = numpy.array([3.78, 2.44, 2.09, 0.14, 1.72, 1.65, 4.92, 4.37, 4.96, 4.52, 3.69, 5.88]).reshape(-1,1)
#y represents whether or not the tumor is cancerous (0 for "No", 1 for "Yes").
y = numpy.array([0, 0, 0, 0, 0, 0, 1, 1, 1, 1, 1, 1])

logr = linear_model.LogisticRegression()
logr.fit(X,y)

#predict if tumor is cancerous where the size is 3.46mm:
predicted = logr.predict(numpy.array([3.49]).reshape(-1,1))
#Note: X has to be reshaped into a column from a row for the LogisticRegression() function to work.
print(predicted) 


"""
En utilisant X.reshape(-1, 1), le tableau 1D est transformé en un tableau 2D avec une colonne
et autant de lignes que nécessaire (représenté par -1),
c'est-à-dire une ligne pour chaque valeur dans X.
"""
